Request a signed commitment for a given transaction intentpost https://explorers.t-dx.com/api/rest/v1/btc/{network}/commitments/signPath ParamsnetworkstringrequiredBody ParamsblockchainstringnetworkstringintentstringaccountCommitmentobjectIs the commitment type for: Avax,Cosmos,DOT,ETH,Filecoin,FTM,NEAR,Polygon,XLM,XRP,XTZ objectutxoCommitmentobjectIs the commitment type for ADA,BCH,BTC,LTC requests objectwrappedCommitmentobject"Wrapped" EVM commitment, for gasless transactions Ignores the amount, binds to address and nonce, adds the forwarder address objectalgoCommitmentobjectAlgo commitments The unicity constraint enforced on-chain is that two identical transactions cannot be mined, and that two transactions cannot have the same (sender,lease) pair within their validity window (max 1000 blocks). Algorand commitments bind on the lease and validity window of a transaction: * the lease `lx` allows us to identify broadcasted transactions on the blockchain. It is globally unique and fixed in the metadata. * the validity window `lv` determines when a commitment expires objecticpCommitmentobjectICP commitments hash == hash(from, to, amount, fee, memo, created_at_time) or hash(from, amount, memo, created_at_time) for Burn and to instead of from for Mint. Only 1 transaction with the same fields can pass objecthashCommitmentobjectHash commitments Each tx is identified by its (pre-signature) tx hash objecthederaCommitmentobjectHedera commitments A special kind of account commitment, with no chain_id The nonce is replaced by a timestamp objectResponses 200A successful response. 400Bad Request: indicates that the server cannot or will not process the request due to something that is perceived to be a client error (for example, malformed request syntax, invalid request message framing, or deceptive request routing) 401Unauthorized: indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource 403Forbidden: indicates that the server understands the request but refuses to authorize it 404Not Found: indicates that the server cannot find the requested resource 500Internal Server Error: indicates that the server encountered an unexpected condition that prevented it from fulfilling the request 503Service Unavailable: indicates that the server is not ready to handle the request. defaultAn unexpected error response.Updated 3 months ago